Fedora Linux Support Community & Resources Center
  #1  
Old 21st September 2013, 01:15 AM
Cuvou Offline
Registered User
 
Join Date: Sep 2007
Location: Los Angeles, CA
Posts: 128
linuxfirefox
Is Banshee broken for MP3 playing lately?

As far as I can tell, Banshee has been broken for at least a couple version releases of Fedora now. It had an issue with randomly crashing a while back, but currently it just can't seem to play MP3 audio at all.

I have all the usual suspects installed for MP3 support, and it works on all the other apps, but not in Banshee.

Code:
$ rpm -qa banshee 'gstreamer-plugins-*'
gstreamer-plugins-good-0.10.31-9.fc19.x86_64
gstreamer-plugins-espeak-0.4.0-2.fc19.x86_64
gstreamer-plugins-base-0.10.36-4.fc19.i686
banshee-2.6.1-1.fc19.x86_64
gstreamer-plugins-bad-free-0.10.23-17.fc19.i686
gstreamer-plugins-ugly-0.10.19-11.fc19.x86_64
gstreamer-plugins-base-0.10.36-4.fc19.x86_64
gstreamer-plugins-bad-0.10.23-3.fc19.x86_64
gstreamer-plugins-bad-free-0.10.23-17.fc19.x86_64
When attempting to play an MP3 from my playlist, Banshee instantly refuses (shows an X symbol next to the track), runs through the list and tries the next 4 songs before finally giving up completely. Nothing is written to the console output for any of this; how can I determine what the problem is?

I'm using the XFCE spin of Fedora 19 and I see this behavior on multiple computers, and also saw it on Fedora 18 XFCE. I hope Banshee didn't become completely dependent on the Gnome desktop? It can play ogg files, just not MP3.
__________________
~ Kirsle
Reply With Quote
  #2  
Old 9th February 2014, 10:32 PM
mxmader8 Offline
Registered User
 
Join Date: Feb 2014
Location: The Matrix
Posts: 2
linuxfirefox
Re: Is Banshee broken for MP3 playing lately?

I'm experiencing the exact same problem on F20 w/XFCE4 as my desktop.
Reply With Quote
  #3  
Old 9th February 2014, 10:45 PM
dobbi Offline
Registered User
 
Join Date: Jan 2011
Posts: 1,116
windows_7firefox
Re: Is Banshee broken for MP3 playing lately?

Have you guys tried installing other MP3 codecs?

Like Lame

I tried looking inside the gstreamer packages to see what MP3 decoder it was using I couldn't find any, but maybe more eyes have better luck.

Also there are some packages that are named nonfree or something and I don't see them there.

gstreamer-plugins-bad-nonfree
Reply With Quote
  #4  
Old 9th February 2014, 11:06 PM
mxmader8 Offline
Registered User
 
Join Date: Feb 2014
Location: The Matrix
Posts: 2
linuxfirefox
Re: Is Banshee broken for MP3 playing lately?

For me, the issue started after upgrading F18 to F20. Rhythmbox was my previous player - it was unusable after the upgrade (missing gnome icon theme) so I thought I'd give Banshee a try.

I think my issue was related to the fact that there are now RPMs prefixed with "gstreamer1" now installed. Without getting into release engineering details, I'm willing to bet that some apps use the "gstreamer"-prefixed plugins, and others use the "gstreamer1"-prefixed plugins - thus, we might be in a "transitional" state in terms of codec baselines...

Anyhow, I installed as many of the corresponding plugins under "gstreamer1" as I could find, and now Banshee is playing MP3s. I do wish that Banshee's logging were more descript (e.g. throw an error explicitly saying "dude, I have no codec!")

The following is the list of "gstreamer" RPMs I now have installed (can't tell you which one specifically fixed my issue):

Code:
gstreamer-0.10.36-6.fc20.i686
gstreamer-0.10.36-6.fc20.x86_64
gstreamer1-1.2.2-1.fc20.x86_64
gstreamer1-libav-1.2.1-1.fc20.x86_64
gstreamer1-plugins-bad-free-1.2.2-1.fc20.x86_64
gstreamer1-plugins-base-1.2.2-1.fc20.x86_64
gstreamer1-plugins-entrans-1.0.0-2.fc20.x86_64
gstreamer1-plugins-good-1.2.2-2.fc20.x86_64
gstreamer1-plugins-good-extras-1.2.2-2.fc20.x86_64
gstreamer1-plugins-ugly-1.2.1-1.fc20.x86_64
gstreamer-ffmpeg-0.10.13-10.fc20.x86_64
gstreamer-plugins-bad-0.10.23-5.fc20.x86_64
gstreamer-plugins-bad-free-0.10.23-19.fc20.i686
gstreamer-plugins-bad-free-0.10.23-19.fc20.x86_64
gstreamer-plugins-bad-nonfree-0.10.23-2.fc19.x86_64
gstreamer-plugins-base-0.10.36-6.fc20.i686
gstreamer-plugins-base-0.10.36-6.fc20.x86_64
gstreamer-plugins-espeak-0.4.0-2.fc19.x86_64
gstreamer-plugins-fc-0.2-8.fc20.x86_64
gstreamer-plugins-good-0.10.31-10.fc20.x86_64
gstreamer-plugins-good-extras-0.10.31-10.fc20.x86_64
gstreamer-plugins-ugly-0.10.19-14.fc20.x86_64
gstreamer-python-0.10.22-5.fc20.x86_64
gstreamer-tools-0.10.36-6.fc20.x86_64
phonon-backend-gstreamer-4.7.1-1.fc20.x86_64
Reply With Quote
  #5  
Old 4th June 2016, 08:28 PM
TonyCureington Offline
Registered User
 
Join Date: Jun 2016
Location: Austin, Texas
Posts: 2
linuxfedorafirefox
Re: Is Banshee broken for MP3 playing lately?

Banshee was broken for me too on Fedora 23; fresh update of packages didn't fix; above additional packages didn't fix; this did fix it for me:


Code:
  yum install gstreamer1*
After running above command, Banshee played the track.

The error Banshee gave me before running the above command was:
Code:
(Banshee:4236): GLib-GObject-WARNING **: attempting to add an interface (AtkTable) to class (__gtksharp_50_Hyena_Data_Gui_Accessibility_ListViewAccessible+601+5b+5bBanshee_Collection_TrackInfo+2c+20Banshee_Core+2c+20Version+3d2_6_0_0+2c+20Culture+3dneutral+2c+20PublicKeyToken+3dnull+5d+5d) after class_init                                                                                                                          
[Warn  13:32:45.250] Initialization of accessibility support for ListView widgets failed - System.ArgumentException: Invalid signal name: model_changed (in `glib-sharp')   
:
:
And when trying to play a track:

Code:
** Message: PackageKit: xid = 18874384                                                                                                         
** Message: PackageKit: desktop_id = (null)                                                                                                    
** Message: PackageKit: Codec nice name: MPEG-1 Layer 3 (MP3) decoder                                                                          
** Message: PackageKit: ignoring field named parsed                                                                                            
** Message: PackageKit: field is: mpegversion, type: gint                                                                                      
** Message: PackageKit: field is: layer, type: gint                                                                                            
** Message: PackageKit: structure: gstreamer1(decoder-audio/mpeg)(mpegversion=1)(layer=3)()(64bit)                                             
** Message: PackageKit: Did not install codec: GDBus.Error:org.freedesktop.DBus.Error.UnknownInterface: No such interface 'org.freedesktop.PackageKit.Modify2' at object path '/org/freedesktop/PackageKit'
Reply With Quote
Reply

Tags
banshee, broken, mp3, playing

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Playing MP3's MattDobson F15 Development 3 22nd April 2011 05:24 AM
F12 Banshee cannot rip CDs to mp3 Dead1nside Using Fedora 0 27th December 2009 10:47 PM
Banshee and MP3 theWayner Using Fedora 2 17th December 2008 10:20 PM
Playing MP3 firebirdking Using Fedora 6 15th December 2006 11:26 PM
playing mp3 in F5 cripou Using Fedora 3 22nd May 2006 01:16 AM


Current GMT-time: 22:28 (Sunday, 30-04-2017)

TopSubscribe to XML RSS for all Threads in all ForumsFedoraForumDotOrg Archive
logo

All trademarks, and forum posts in this site are property of their respective owner(s).
FedoraForum.org is privately owned and is not directly sponsored by the Fedora Project or Red Hat, Inc.

Privacy Policy | Term of Use | Posting Guidelines | Archive | Contact Us | Founding Members

Powered by vBulletin® Copyright ©2000 - 2012, vBulletin Solutions, Inc.

FedoraForum is Powered by RedHat